use df_consul::*;

#[tokio::main]
async fn main() {
	let config = ConsulConfig {
		addr: "http://localhost:8500".into(),
		ca_cert: None,
		tls_skip_verify: false,
		client_cert: None,
		client_key: None,
	};

	let consul = Consul::new(config, "").unwrap();

	println!("== LIST NODES ==");
	let list_nodes = consul.list_nodes().await.unwrap();
	println!("{:?}", list_nodes);

	println!("== CATALOG 1 ==");
	println!("{:?}", consul.watch_node("caribou", None).await.unwrap());

	println!("== CATALOG 2 ==");
	println!("{:?}", consul.watch_node("cariacou", None).await.unwrap());
}
